#include "SubCommand.h"
#include <sstream>

namespace commands {
    SubCommand::SubCommand(const string& name, const int& return_value, const bool show_result): name(name), return_value(return_value), show_result(show_result) {}

    void SubCommand::run(stringstream& args) {
        cout << "Not impl!\n";
    }

    string SubCommand::get_name() {
        return this->name;
    }

    int SubCommand::get_value() const {
        return this->return_value;
    }

    bool SubCommand::should_display_result() const
    {
        return this->show_result;
    }

} // commands
